"""
https://docs.gunicorn.org/en/stable/
"""
bind = '0.0.0.0:9091'
backlog = 512
chdir = '/data/deploy/src/'
timeout = 150
worker_class = 'gevent'
workers = 4
threads = 2
loglevel = 'info'
pidfile = "/data/deploy/bin/gunicorn.pid"
access_log_format = '%(t)s %(p)s %(h)s "%(r)s" %(s)s %(L)s %(b)s %(f)s" "%(a)s"'
accesslog = "/data/deploy/tmp/log/gunicorn_access.log"
errorlog = "/data/deploy/tmp/log/gunicorn_error.log"
daemon = True