from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker
from sqlalchemy.sql import text
import time
import platform
import pandas as pd
class ClickHouseHelper:
    def __init__(self):
        if platform.system()=='Linux':
            self.host = "192.168.253.195"
        else:
            self.host = "10.10.31.166"
        self.port = 8123
        self.user = "default"
        self.password = "Ysrd2024!"
        self.db = "electrcity_data"
        self.engine = None
        self.Session = None
        self._create_engine()

    def _create_engine(self):
        # 使用 clickhouse+http:// 作为连接前缀
        connection_string = f"clickhouse+http://{self.user}:{self.password}@{self.host}:{self.port}/{self.db}"
        # 配置连接池
        pool_size = 10  # 设置最大连接数量为10
        self.engine = create_engine(
            connection_string,
            pool_size=pool_size,
            max_overflow=3000,  # 设置最大溢出数量为0，即不允许超出 pool_size 的连接
            pool_timeout=30,  # 设置连接池超时时间为30秒
            pool_recycle=-1  # 设置连接回收时间，-1 表示不回收
        )
        self.Session = sessionmaker(bind=self.engine)


    def get_session(self):
        # 获取数据库会话
        return self.Session()

    def _df_res_to_db(self, df, table_name):
        df.to_sql(
            name=table_name,
            con=self.engine.connect(),
            index=False,
            chunksize=2000,
            if_exists='append')
    
    def execute_select(self, sql):
        time_start = time.time()
        with self.engine.connect() as conn:
            # 使用 text() 函数将 SQL 语句转换为可执行对象
            sql_text = text(sql)
            result = conn.execute(sql_text)
            data = []
            for row in result:
                # 使用 row._mapping 将 RowProxy 转换为字典
                data.append(dict(row._mapping))
            return data
    def execute_edit(self, sql):
        with self.engine.connect() as conn:
            sql_text = text(sql)
            result = conn.execute(sql_text)
            conn.commit()
            return result.rowcount

