import pandas as pd
from sqlalchemy import create_engine
import datetime
import sys
import os
import threading

sys.path.append(os.path.abspath(os.path.join(sys.path[0], '..')))
from src.framework.the_path import ThePath


def run():
    # engine = create_engine('sqlite:///:memory:')
    engine_sanguo = create_engine(f'sqlite:///{ThePath.demo()}/sanguo.db')
    engine_shuihu = create_engine(f'sqlite:///{ThePath.demo()}/shuihu.db')
    df1 = pd.DataFrame([
        {
            'id': ';',
            'created_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'updated_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'name': '张飞'
        },
        {
            'id': 2,
            'created_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'updated_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'name': '张辽'
        },
        {
            'id': 3,
            'created_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'updated_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'name': '刘备'
        },
        {
            'id': 4,
            'created_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'updated_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'name': '关羽'
        },
    ])
    df2 = pd.DataFrame([
        {
            'id': 1,
            'created_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'updated_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'name': '关圣'
        },
        {
            'id': 1,
            'created_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'updated_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'name': '卢俊义'
        },
        {
            'id': 1,
            'created_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'updated_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'name': '武松'
        },
        {
            'id': 1,
            'created_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'updated_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
            'name': '鲁智深'
        }
    ]
    )
    df1.to_sql(name=f't_sanguo', con=engine_sanguo, if_exists='replace')
    df2.to_sql(name=f't_shuihu', con=engine_shuihu, if_exists='replace')

    result = pd.read_sql('select * from t_sanguo', con=engine_sanguo.connect())
    print(result)

    result = pd.read_sql('select * from t_shuihu', con=engine_shuihu.connect())
    print(result)

def test_threading():

    def test(id):
        df = pd.DataFrame([
            {
                'id': id,
                'created_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
                'updated_at': datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
                'name': str(id),
            },
        ])
        engine = create_engine("mysql+pymysql://yard_base_test:AEWTC^&fhj13@10.10.40.220:3306/for_test")
        with engine.begin() as connection:
            df.to_sql(name=f't_user_for_test', con=connection, if_exists='append')
    for i in range(50):
        t = threading.Thread(target=test, args=(i,))
        t.start()

if __name__ == '__main__':
    run()
    # test_threading()
