# coding: utf-8
from sqlalchemy import Column, DateTime, String, text
from sqlalchemy.dialects.mysql import INTEGER, TINYINT
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()
metadata = Base.metadata


class ElecWarnClueAssignRecord(Base):
    __tablename__ = 'elec_warn_clue_assign_records'
    __table_args__ = {'comment': '报警线索下发记录'}

    clue_code = Column(String(255), nullable=False)
    from_user = Column(String(255), nullable=False)
    created_at = Column(DateTime, server_default=text("CURRENT_TIMESTAMP"))
    updated_at = Column(DateTime, server_default=text("CURRENT_TIMESTAMP"))
    is_deleted = Column(TINYINT(4), server_default=text("'0'"))
    id = Column(INTEGER(11), primary_key=True)
    from_adm = Column(INTEGER(11), comment='发送该线索的管理机构id')
    to_adm = Column(INTEGER(11), comment='接收该线索的管理机构id')
    description = Column(String(1024), server_default=text(""))
