# coding: utf-8
from sqlalchemy import Column, DateTime, String, text
from sqlalchemy.dialects.mysql import TINYINT
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()
metadata = Base.metadata


class ElecWarnClueList(Base):
    __tablename__ = 'elec_warn_clue_list'
    __table_args__ = {'comment': '报警线索表'}

    code = Column(String(255), primary_key=True)
    is_deleted = Column(TINYINT(4))
    is_closed = Column(TINYINT(4))
    created_at = Column(DateTime, server_default=text("CURRENT_TIMESTAMP"))
    closed_time = Column(DateTime)
    from_user = Column(String(255), nullable=False)
