# coding: utf-8
from sqlalchemy import Column, DateTime, String, text
from sqlalchemy.dialects.mysql import INTEGER, TINYINT
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()
metadata = Base.metadata

# sqlacodegen mysql://electricity_api_service:'GJlfh7&#jg'@mmservice-05.mysql.hotgrid.cn:3306/electricity_data?charset=utf8 --outfile=user_table.py --tables elec_user
class ElecUser(Base):
    __tablename__ = 'elec_user'
    __table_args__ = {'comment': '用电平台用户表'}

    userid = Column(String(255), primary_key=True)
    user_name = Column(String(255), comment='用户名')
    password = Column(String(255), comment='密码')
    role_level = Column(TINYINT(4), comment='角色')
    adm = Column(String(255), comment='用户归属的平台名称')
    is_deleted = Column(TINYINT(4), server_default=text("'0'"))
    created_at = Column(DateTime, server_default=text("CURRENT_TIMESTAMP"))
    updated_at = Column(DateTime, server_default=text("CURRENT_TIMESTAMP"))
    adm_id = Column(INTEGER(11), nullable=False, comment='用户所属管理机构id')
    phone = Column(String(11), nullable=False, comment='手机号')
    is_send = Column(INTEGER(1), nullable=False, comment='是否发送短信进行验证码验证，0：不用，1：发送')
