# -*- coding:utf-8 -*-
# @Time   : 2022/8/26 16:05
import hashlib
import re
import json
import pandas as pd
import jieba
from framework.interface.abstract_api import AbstractApi
from marshmallow import Schema, fields


class EmergencyFileList(AbstractApi):
    class GetSchema(Schema):
        pass

    def handle_get_request(self):
        search_sql_data = f"""
                select
    IFNULL(ep.start_time,"未绑定") as plan_time,
    IFNULL(ecc.created_at,'--') as 'create_time',
    IFNULL(ep.plan_name,"未绑定") as  plan_name,
    plan_id as plan_id,
    file_name,
    count(*) as couonts_ents,
    IFNULL(ep.plan_type,"未绑定") as plan_type
    from elec_control_center  ecc
    left join elec_plan ep on ep.id = ecc.plan_id and ep.is_deleted=0
    where file_name is not null
    group by file_name
order by ecc.created_at desc;
;
                """
        data_df = pd.DataFrame(self.sql_db.list(search_sql_data,"elec_db_2"))
        return data_df.to_dict(orient='records')