# -*- coding:utf-8 -*-
# @Time   : 2023/7/25 16:00
# @Author : Fushuyue
# @Owner  : YSRD (Insights Value)
import datetime
from dateutil.rrule import rrule, MONTHLY
from dateutil.relativedelta import relativedelta

def get_between_datetime(beginDate, endDate, type, format_str="%Y-%m-%d %H:%M:%S"):
    dateList = []
    beginDate = datetime.datetime.strptime(beginDate, "%Y-%m-%d %H:%M:%S")
    endDate = datetime.datetime.strptime(endDate, "%Y-%m-%d %H:%M:%S")
    if type == 1:    # 分钟
        while beginDate <= endDate:
            dateStr = beginDate.strftime(format_str)
            dateList.append(dateStr)
            beginDate += relativedelta(minutes=15)
    elif type == 2:   # 小时
        while beginDate <= endDate:
            dateStr = beginDate.strftime(format_str)
            dateList.append(dateStr)
            beginDate += relativedelta(hours=1)
    elif type == 3:   # 日
        while beginDate <= endDate:
            dateStr = beginDate.strftime(format_str)
            dateList.append(dateStr)
            beginDate += relativedelta(days=1)
    elif type == 4:   # 月
        beginDate = datetime.datetime(beginDate.year, beginDate.month, 1)
        while beginDate <= endDate:
            dateStr = beginDate.strftime(format_str)
            dateList.append(dateStr)
            beginDate += relativedelta(months=1)
    elif type == 5:   # 季度
        quarters = list(rrule(MONTHLY, dtstart=beginDate, until=endDate, bymonth=(1, 4, 7, 10)))
        return [i.strftime(format_str) for i in quarters]
        # return [f'{i.year}年-第{(i.month - 1) // 3 + 1}季度' for i in quarters]
    elif type == 6:   # 年
        beginDate = datetime.datetime(beginDate.year, 1, 1)
        while beginDate <= endDate:
            dateStr = beginDate.strftime(format_str)
            dateList.append(dateStr)
            beginDate += relativedelta(years=1)
    return dateList


def get_format_str(time_type):
    if time_type == 1:   # 刻钟
        return "%m-%d %H:%M"
    elif time_type == 2:    # 小时
        return '%m-%d %H'
    elif time_type == 3:   # 日
        return '%Y-%m-%d'
    elif time_type in (4, 5):   # 月 or 季度
        return '%Y-%m'
    elif time_type == 6:   # 年
        return '%Y'