# @Time   : 2022/7/6 10:02
# @Author : Gavin Jiang
# @Owner  : YSRD (Insights Value)

import logging

def deprecated(func, after_version=None, help_msg=''):
    """
    用于提醒开发人员，使用的函数将会被废弃
    Args:
        func: 
        after_version: 在某个版本后废弃
        help_msg: 用于告诉开发人员替代的方法

    Returns:

    """
    def wrap_func(*args, **kwargs):
        if after_version:
            logging.warning(f"函数{func.__name__}将会在版本{after_version}后废弃，请谨慎使用！{help_msg}")
        else:
            logging.warning(f"函数{func.__name__}未来将会废弃，请谨慎使用！{help_msg}")
        return func(*args, **kwargs)

    return wrap_func
