# @Time   : 2022-03-31 11:00:00
# @Author : Wang Fei hong
# @Owner  : YSRD (Insights Value)
from runserver import create_app


class TestApiFrameWorkApi:
    def test_hander_get(self, client):
        response = client.get('/demo/api-frame-work-api?json={"id":"1","name":"test"}')
        assert response.json['code'] == 2000
        assert response.json['result']['params'] == {"id":"1","name":"test"}

    def test_hander_post(self, client):
        response = client.post('/demo/api-frame-work-api')
        assert response.status_code == 200
        assert response.json['code'] == 2000
        assert response.json['msg'] == '访问成功'

    def test_missing_required_parameter(self, client):
        response = client.get('/demo/api-frame-work-api')
        assert response.json['code'] == 3009

    def test_invalid_parameter(self, client):
        response = client.get('/demo/api-frame-work-api', data={'project_name': "hello"})
        assert response.json['code'] == 3009