# @Time   : 2022-03-03 17:00:00
# @Author : Sun Wen Quan
# @Owner  : YSRD (Insights Value)

import requests
import datetime


class TestHelloSqldb:
    def test_hello_db(self, client):
        response = client.get('/demo/hello-sqldb')
        assert response.json['code'] == 2000

    def test_hello_db_insert(self, client):
        data = {"id": 123, "name": "test1", "created_at": ["testtttt", "2022-03-23 17:57:23"],
                "updated_at": "2022-03-23 17:57:23", "op": "add"}
        response = client.post('/demo/hello-sqldb', data=data)
        assert response.json['code'] == 2000
        assert response.json['result']['result'] == True

    def test_hello_db_update(self, client):
        data = {"id": 123, "name": "t1", "op": "update"}
        response = client.post('/demo/hello-sqldb', data=data)
        assert response.json['code'] == 2000
        assert response.json['result']['result'] == True

    def test_hello_db_delete(self, client):
        data = {"id": 123, "op": "delete"}
        response = client.post('/demo/hello-sqldb', data=data)
        assert response.json['code'] == 2000
        assert response.json['result']['result'] == True