# @Time   : 2022-03-03 17:00:00
# @Author : Sun Wen Quan
# @Owner  : YSRD (Insights Value)

class TestHelloWorld:
    def test_hander_get(self, client):
        response = client.get('/demo/hello-world?user_id=1&user_name=&user_email=87909@qq.com&user_age=1&user_age=1')
        assert response.json['code'] == 2000
        assert response.json['result']['params'].get('user_id') == 1

    def test_hander_post(self, client):
        response = client.post('/demo/hello-world')
        assert response.status_code == 200
        assert response.json['code'] == 2000
        assert response.json['msg'] == '访问成功'

    def test_missing_required_parameter(self, client):
        response = client.get('/demo/hello-world')
        assert response.json['code'] == 3009

    def test_invalid_parameter(self, client):
        response = client.get('/demo/hello-world', data={'project_name': "hello"})
        assert response.json['code'] == 3009