# @Time   : 2022-03-03 17:00:00
# @Author : Sun Wen Quan
# @Owner  : YSRD (Insights Value)

import os

from framework.the_path import ThePath


class TestUploadTmpFile:

    def test_upload_tmp_file(self, client):
        filename = os.path.join(ThePath.test(), 'data/test_upload_file.txt')
        data = {'file': open(filename, 'rb')}
        response = client.post('/demo/upload-tmp-file', data=data)
        assert response.json.get('code') == 2000
        tmp_file_path = response.json.get('result')['file_result'][0]['tmp_file_path']
        assert os.path.isfile(tmp_file_path)

    def test_upload_tmp_file_clean(self, client):
        filename = os.path.join(ThePath.test(), 'data/test_upload_file.txt')
        print(filename)
        data = {'file': open(filename, 'rb')}
        response = client.post('/demo/upload-tmp-file-clean', data=data)
        print(response.data)
        assert response.json.get('code') == 2000
        try:
            tmp_file_path = response.json.get('result')['file_result'][0]['tmp_file_path']
            assert not os.path.isfile(tmp_file_path), '文件没有被自动删除'
        except IndexError:
            assert False, '上传文件失败！'
        except KeyError:
            assert False, '响应数据数据不规范！'
        else:
            assert 'tmp/post_files' in tmp_file_path, '响应信息中tmp_file_path的格式有误！'
