# @Time   : 2022-03-03 17:00:00
# @Author : Gavin Jiang
# @Owner  : YSRD (Insights Value)

from framework.bootstrap.config_loader import ConfigLoader


class TestConfigLoader:

    @staticmethod
    def log_config_verification(env):
        config_loader = ConfigLoader(env)
        config_loader.load()
        return f'config/default/log.yml' in config_loader.data['log'].replace('\\', '/')

    @staticmethod
    def flask_config_verification(env):
        config_loader = ConfigLoader(env)
        config_loader.load()
        return f'api/{env}/flask.py' in config_loader.data['flask'].replace('\\', '/')

    def test_config_by_args(self):
        assert self.flask_config_verification('prod')
        assert self.flask_config_verification('test')
        assert self.flask_config_verification('dev')

        assert self.log_config_verification('prod')
        assert self.log_config_verification('test')
        assert self.log_config_verification('dev')

    def test_config_by_env(self):
        """保证部署的时候使用的默认环境是生产环境"""
        config_loader = ConfigLoader()
        config_loader.load()
        assert f'api/prod/flask.py' in config_loader.data['flask'].replace('\\', '/')
