# @Time   : 2022-03-03 17:00:00
# @Author : Gavin Jiang
# @Owner  : YSRD (Insights Value)

import os

import pytest

from framework.the_path import ThePath


@pytest.fixture(scope='module')
def project_session_start():
    base_path = os.path.dirname(os.path.abspath(__file__))
    print('base_path is :', base_path)


class TestThePath:

    def test_root(self):
        root_path = ThePath.root()
        children = os.listdir(root_path)
        assert {'bin', 'config', 'src', 'test'}.issubset(children)

    def test_src(self):
        src_path = ThePath.src()
        children = os.listdir(src_path)
        assert {'app', 'component', 'framework'}.issubset(children)

    def test_test(self):
        test_path = ThePath.test()
        children = os.listdir(test_path)
        assert {'data', 'conftest.py', 'test_create_app.py','__init__.py'}.issubset(children)
